
Redmine - Defect #33766

#31355 breaks project tree

2020-07-23 11:53 - Stefan Lindner

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.1.1

Description

Asume you jave a project tree (with sub projects like this

-top

+-sub1

+-sub2

+-sub3

This is displayes wellformed as a tree in projedct quickjump dropdown

Now klick on project "top"

The project "top" now appears under "recently used projects" and the tree in the dropdown looks like

<recently used projects>

-top

<other projects>

-sub1

-sub2

-sub3

The "top" project isw no longer listed under other projects and that breaks the tree.

This is very confusing if you have a tree like

-top1

+-sub1.1

+ sub1.2

-top2

+-sub2.1

+-sub2.2

and so on

and after chosing "top2"

-top1

+-sub1.1

+ sub1.2

-sub2.1

-sub2.2

With more than 20 or 30 projects this is totally confusing.

Related issues:

Is duplicate of Redmine - Feature #32944: Always preserve the tree structure ... Closed

History

#1 - 2020-07-23 15:09 - Bernhard Rohloff

- Status changed from New to Closed

- Resolution set to Duplicate

2025-05-02 1/2



I think this defect has already been fixed for v4.2.0 in #32944.

Anyway, thank you for reporting the issue.

#2 - 2020-07-23 15:09 - Bernhard Rohloff

- Is duplicate of Feature #32944: Always preserve the tree structure in the project jump box added

#3 - 2020-08-30 16:03 - Roland M

Hello,

I can confirm this issue and I have also very much projects with subprojects...

The dropdown view is also on my redmine as described and very confusing...

Waiting for 4.2.0 is there any release date?

#4 - 2020-09-04 13:36 - Roland M

OH no I see v4.2.0

Its not possible to fix already in much earlier coming 4.1.2?

Waiting for it...

#5 - 2020-09-21 12:52 - Roland M

Hello again,

I tried today to implement Revision 19861 and this works fine now for my Redmine 4.1.1

Can you please merge this into next 4.1.x Release?

#6 - 2020-09-22 03:32 - Go MAEDA

Roland Meier wrote:

Can you please merge this into next 4.1.x Release?

 I think that change is too big to backport to 4.1. It changes arguments of two methods. Backporting it may break some third-party plugins which call

those methods.
